﻿function testBouton (x,y,actif)
{
	var choix=-1;
	var lB=hCanv/4;
	var hB=lB/3;
	var xB=lCanv/2+hCanv/40/2;
	var xB0=xB-lB*2-hCanv/40*2;
	var xB1=xB-lB-hCanv/40;
	var xB2=xB+lB+hCanv/40;
	var yB=hCanv-hB-hCanv/40;
	
	if ((x>xB)&&(x<(xB+lB))&&(y>yB)&&(y<(yB+hB)))
	{
		choix=2;
	}
	
	else if ((x>xB2)&&(x<(xB2+lB))&&(y>yB)&&(y<(yB+hB)))
	{
		choix=3;
	}
	
	else if ((x>xB1)&&(x<(xB1+lB))&&(y>yB)&&(y<(yB+hB)))
	{
		choix=1;
	}
	
	else if ((x>xB0)&&(x<(xB0+lB))&&(y>yB)&&(y<(yB+hB)))
	{
		choix=0;
	}
	
	if (actif)
	{
		if (choix==0) // graphiques
		{
			reinit();
			return false;
		}
		if (choix==1) // graphiques
		{
			graphiques();
			return false;
		}
		if (choix==2) // chasse
		{
			effaceScore();
			effacePhal();
			creeFond ();
			annee++;
			progression=0;
			nbTues=0;
			nbClics=0;
			dureeChasse=0;
			go2();
			return false;
		}
		if (choix==3) // changer de fond
		{
			effaceScore();
			effacePhal();
			fond=Math.round(1-fond);
			creeFond ();
			annee++;
			progression=0;
			nbTues=0;
			dureeChasse=0;
			go2();
			return false;
		}		
		return false;	
	}
	else
	{
		return choix;
	}
	
}

function anneeSansPredation ()
{
	effaceScore();
	effacePhal();
	creeFond ();
	annee++;
	nbTues=0;
	progression=100;
	finProgress();
}

function afficheFF()
{
	var hFF=hCanv/9;
	var lFF=hFF;
	var y=lCanv*0.04;
	var x=lCanv*0.99-lFF;

	
	ctScore.clearRect (x,y,lFF,hFF);
	ctScore.globalAlpha = 0.5;
	ctScore.drawImage(tImg[10],0,0,tImg[10].width,tImg[10].height,x,y,lFF,hFF);	
	ctScore.globalAlpha = 1;	
}

function afficheTemps(alpha,posi)
{
	var tRestant=tLimite-dureeChasse;
	if (posi==0)
	{
		var x=lCanv/100;
		var y=3*x;
	}
	else
	{
		var x=hCanv/50;
		var y=x;	
	}
	var hChrono=hCanv/6;
	var lChrono=hChrono*184/244;
	ctScore.clearRect (x,y,lChrono,hChrono);
	ctScore.globalAlpha = alpha;
	ctScore.drawImage(tImg[1],0,0,184,244,x,y,lChrono,hChrono);	
	x+=lChrono*0.51;
	var hTexte=Math.round(hChrono/5);
	y+=hChrono*0.64;
	y+=hTexte*0.4;
	ctScore.fillStyle="black";
	ctScore.textAlign="center";
	ctScore.font="bold "+hTexte+"px "+mFont;
	var texte=Math.ceil(tRestant);
	ctScore.fillText (texte,x,y);
	ctScore.globalAlpha = 1;	
}

function barrePhalene(x,yy,l,h,pc,n)
{
	var xx=0;
	var ra=h/hPapi;
	var nbBlancs=n*pc;
	console.log ("nbBlancs estimés = ",nbBlancs, "sur ",n," total");
	for (var i=0;i<n;i++)
	{
		xx=x+(l*i/n);
		if (i<nbBlancs)
		{ //blanc
			var img1=tImg[5];
			var img2=tImg[7];
		}
		else
		{ //noir
			var img1=tImg[2];
			var img2=tImg[4];
		}		
		ctScore.globalAlpha=0.5;
		ctScore.drawImage(tImg[9],0,0,tImg[9].width,tImg[9].height,xx-lPapi*0.1,yy-hPapi*0.35,lPapi*(ra+0.2),hPapi*(ra+0.55));
		ctScore.globalAlpha=1;
		ctScore.drawImage(img1,0,0,lPapi,hPapi,xx,yy,lPapi*ra,hPapi*ra);
		ctScore.drawImage(img2,0,0,lPapi,hPapi,xx,yy,lPapi*ra,hPapi*ra);
		
	}
}

function finProgress()
{
	cacheTeteOiseau();
	progression=100;
	clearInterval( timerAiles );
	var maDate = new Date();
	var t2 = maDate.getTime();
	dureeChasse = (t2-t1)/1000;
	if (dureeChasse>=tLimite)
	{
		dureeChasse=tLimite;
	}
	tEcorce[annee]=fond;
	sFreq=calcFreq();
	nbBlancs=compteGeno("cc");
	nbVivants=compteVivants();
	nbNoirs=nbVivants-nbBlancs;
	console.log ("Nombre de papillons vivants = "+nbVivants);
	console.log ("Nombre de blancs = "+nbBlancs);
	console.log ("Nombre de noirs = "+nbNoirs);
	sGcc=calcGeno("cc");
	sGCC=calcGeno("CC");
	sGCc=100-(sGcc+sGCC);
	sFreqA=(sGcc*2+sGCc)/2;
	nbTues=Math.round(nbTues);
	brassage ();	
	afficheBilan();
}

function calcProgress()
{
	progression=Math.round(nbTues/nTotPapi*100);
	if (progression>=(pObjectif*100)) {finProgress();return false;}
	var lBarre=lCanv*0.98;
	var hBarre=Math.round(hCanv*0.02);
	var xBarre=(lCanv-lBarre)/2;
	var yBarre=xBarre;
	ctScore.clearRect (xBarre-2,yBarre-2,lBarre+4,hBarre+4);
	ctScore.beginPath();
	ctScore.strokeStyle="rgba(200,200,200,0.5)";
	ctScore.lineWidth=1;
	ctScore.strokeRect (xBarre,yBarre,lBarre,hBarre);
	ctScore.fillStyle="rgba(50,100,200,0.5)"; // barre bleue
	ctScore.fillRect (xBarre+1+(lBarre-2)*(1-pObjectif),yBarre+1,((lBarre-2)*pObjectif)*(nTotPapi*pObjectif-nbTues)/(nTotPapi*pObjectif),hBarre-2);
	ctScore.fillStyle="rgba(150,50,50,0.5)"; // barre rouge
	ctScore.fillRect (xBarre+1,yBarre+1,(lBarre-2)*(1-pObjectif),hBarre-2);

	ctScore.stroke();
}