﻿function afficheBilan()
{
	etape="bilan";
	premierSurvol=true;
	effacePhal();
	effaceScore();
	fondPapier();
	
	var hTexte=Math.round(hCanv/26);
	var hTexte1=Math.round(hCanv/20);
	var hTexte2=Math.round(hCanv/38);
	var y=hCanv/40+hTexte;
	var x=lCanv/2;
	var lBarrePhal=lCanv*0.8;
	var xBarrePhal=(lCanv-lBarrePhal)/2;
	var hBarrePhal=hCanv*0.04;
	
	ctScore.textAlign="center";
	ctScore.font="italic bold "+hTexte1+"px "+mFont;
	ctScore.fillStyle="black";
	
	var texte="Fin de la "+annee;
	if (annee==1) {texte+="ère";} else {texte+="ème";}
	texte+=" année"; 
	texteNB (texte,x,y);
	y+=hTexte*2.2;
	
	if (nbTues>maxScore) {maxScore=nbTues;}
	ctScore.font="italic bold "+hTexte+"px "+mFont;
	texteNB ("Bilan de la chasse :",x,y);
	y+=hTexte2*1.3;
	ctScore.font=""+hTexte2+"px "+mFont;
	var texte=nbTues+" papillons tué";
	if (nbTues>1) {texte+="s";}
	texte+=" en "+Math.round(dureeChasse*10)/10+" secondes";
	texte+=" (record="+maxScore+")";
	texteNB (texte,x,y);
	
	var precision=0;
	if (nbTues>0) {precision=Math.round(nbTues/nbClics*100);}
	if (precision>maxPrec) {maxPrec=precision;}
	y+=hTexte2*1.3;
	ctScore.font=""+hTexte2+"px "+mFont;
	var texte="Précision des coups de bec : ";
	if (nbTues>1) {texte+=precision+"%";}
	texte+=" (record="+maxPrec+"%)";
	
	texteNB (texte,x,y);
	y+=hTexte*2.2;	
	
	ctScore.font="italic bold "+hTexte+"px "+mFont;
	texteNB ("Population initiale : "+nTotPapi+" papillons",x,y);
	y+=hTexte*0.5;
	barrePhalene(xBarrePhal,y,lBarrePhal,hBarrePhal,tFreq[annee-1]/100,nTotPapi);

	y+=hBarrePhal+hTexte;
	ctScore.font=""+hTexte2+"px "+mFont;
	texteNB (Math.round(tFreq[annee-1])+"% [blancs], "+Math.round(100-tFreq[annee-1])+"% [noirs]",x,y);
	y+=hTexte2*1.3;
	texteNB (Math.round(tGcc[annee-1])+"% c/c, "+Math.round(tGCc[annee-1])+"% C+/c, "+Math.round(tGCC[annee-1])+"% C+/C+ ",x,y);
	y+=hTexte2*1.3;
	texteNB ("Fréquence de l'allèle c : "+Math.round(tFreqA[annee-1])+"%",x,y);
	y+=hTexte*2.2;
	
	ctScore.font="italic bold "+hTexte+"px "+mFont;
	texteNB ("Survivants : "+Math.round(nTotPapi-nbTues)+" papillons",x,y);
	y+=hTexte*0.5;
		
	barrePhalene(xBarrePhal,y,lBarrePhal,hBarrePhal,sFreq/100,nTotPapi-nbTues);

	y+=hBarrePhal+hTexte;
	
	ctScore.font=""+hTexte2+"px "+mFont;
	texteNB (Math.round(sFreq)+"% [blancs], "+Math.round(100-sFreq)+"% [noirs]",x,y);
	y+=hTexte2*1.3;
	texteNB (Math.round(sGcc)+"% c/c, "+Math.round(sGCc)+"% C+/c, "+Math.round(sGCC)+"% C+/C+ ",x,y);
	y+=hTexte2*1.3;
	texteNB ("Fréquence de l'allèle c : "+Math.round(sFreqA)+"%",x,y);
	y+=hTexte*2;
	
	ctScore.font="italic bold "+hTexte+"px "+mFont;
	texteNB ("Génotypes des oeufs :",x,y);
	y+=hTexte*1;
	ctScore.font=""+hTexte2+"px "+mFont;
	texteNB (Math.round(tGcc[annee])+"% c/c, "+Math.round(tGCc[annee])+"% C+/c, "+Math.round(tGCC[annee])+"% C+/C+ ",x,y);

	var lB=hCanv/4;
	var hB=lB/3;
	var xB=lCanv/2+hCanv/40/2;
	var xB0=xB-lB*2-hCanv/40*2;
	var xB1=xB-lB-hCanv/40;
	var xB2=xB+lB+hCanv/40;
	var yB=hCanv-hB-hCanv/40;
	y=yB+hB/2+hB*0.09;
	var y1=y-hB/5;
	var y2=y+hB/5;
	
	var dOmbre=hCanv/500;
	ctScore.fillStyle="rgba(0,0,0,0.1)";
	for (var i=-2;i<=5;i++)
		for (var j=-4;j<=2;j++)
		{
			ctScore.fillRect (xB0+i*dOmbre,yB+j*dOmbre,lB,hB);
			ctScore.fillRect (xB+i*dOmbre,yB+j*dOmbre,lB,hB);
			ctScore.fillRect (xB1+i*dOmbre,yB+j*dOmbre,lB,hB);
			ctScore.fillRect (xB2+i*dOmbre,yB+j*dOmbre,lB,hB);
		}

	ctScore.fillStyle="white";
	ctScore.fillRect (xB0,yB,lB,hB);
	ctScore.fillRect (xB,yB,lB,hB);
	ctScore.fillRect (xB1,yB,lB,hB);
	ctScore.fillRect (xB2,yB,lB,hB);
	x=xB+lB/2;
	ctScore.fillStyle="black";
	ctScore.font="bold "+Math.round(hB*0.3)+"px "+mFont;
	ctScore.fillText ("ANNEE",x,y1);
	ctScore.fillText ("SUIVANTE",x,y2);
	var x1=x-lB-hCanv/40;
	ctScore.fillStyle="black";
	ctScore.font=""+Math.round(hB*0.3)+"px "+mFont;
	ctScore.fillText ("VOIR LES",x1,y1);
	ctScore.fillText ("GRAPHIQUES",x1,y2);	
	var x0=x1-lB-hCanv/40;
	ctScore.fillStyle="black";
	ctScore.fillText ("REINITIALISER",x0,(y1+y2)/2);
	var x2=x+lB+hCanv/40;
	ctScore.fillStyle="black";
	ctScore.fillText ("CHANGER",x2,y1);
	ctScore.fillText ("D'ECORCE",x2,y2);
}